%define name	clustalx
%define version 1.83
%define release %mkrel 6
%define distsuffix plf

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Graphical User Interface to ClustalW
Group:		Sciences/Biology
License:	Freeware
URL:		http://bips.u-strasbg.fr/fr/Documentation/ClustalX/
Source:		ftp://ftp-igbmc.u-strasbg.fr/pub/ClustalX/%{name}%{version}.sun.tar.bz2
Patch:		%{name}-1.83.helplocation.patch.bz2
BuildRequires:	lesstif-devel
BuildRequires:	ncbi-devel
BuildRequires:	xpm-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Clustal X provides a window-based user interface to the 
ClustalW multiple alignment program.

This package is in PLF because of its non-free license.

%prep
%setup -q -n %{name}%{version}.sun
%patch
chmod 644 clustalx.html globin.pep

%build
%make \
	CFLAGS="-c $RPM_OPT_FLAGS" \
	CXFLAGS="-DWIN_MOTIF -I%{_includedir}/ncbi" \
	LXFLAGS="-L/usr/X11R6/%{_lib} -lvibrant -lncbi -lXm -lXmu -lXpm -lXt -lX11 -lm"

%install
rm -rf %{buildroot}
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 clustalx %{buildroot}%{_bindir}
install -m 755 -d %{buildroot}%{_datadir}/%{name}
install -m 644 clustalw_help %{buildroot}%{_datadir}/%{name}/help

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README_X clustalx.html globin.pep
%{_bindir}/*
%{_datadir}/%{name}

%changelog
* Sun Oct 28 2007 Anssi Hannula <anssi@zarb.org> 1.83-6plf2008.1
- add proper distsuffix

* Wed Sep 13 2006 Guillaume Rousse <guillomovitch@zarb.org> 1.83-5mdv2007.0
- Rebuild
- buildrequires xpm-devel

* Sat Jul 09 2005 Guillaume Rousse <guillomovitch@zarb.org> 1.83-4plf 
- rebuild against latest ncbi

* Tue Jun 14 2005 Guillaume Rousse <guillomovitch@zarb.org> 1.83-3plf
- fix url
- spec cleanup
- rpmbuildupdate aware
- fix amd64 build

* Sun Nov 28 2004 Guillaume Rousse <guillomovitch@zarb.org> 1.83-2plf
- fix buildrequires 

* Fri Oct 01 2004 Guillaume Rousse <guillomovitch@zarb.org> 1.83-1plf 
- first plf release with a spec stolen from Luc Ducazu <luc@biolinux.org> 

* Fri Mar 19 2002 Luc Ducazu <luc@biolinux.org>
- Initial build
